/*
 * Copyright (c) 2023 codvision.com All Rights Reserved.
 */

package com.codvision.commoncore.enums;

/**
 * TrueOrFalse
 *
 * @author lingee
 * @since 2024/4/29
 */
public enum TrueOrFalse {

    FALSE("0", 0, false),

    TRUE("1", 1, true);
    private final String key;
    private final int intVal;
    private final boolean val;

    TrueOrFalse(String key, int intVal, boolean val) {
        this.key = key;
        this.intVal = intVal;
        this.val = val;
    }

    public String getKey() {
        return key;
    }

    public int getIntVal() {
        return intVal;
    }

    public boolean isVal() {
        return val;
    }
}
